-- Lua paint Pollock script

--@TBCONFIG SLIDER: Variant, 20
--@TBCONFIG SLIDER: Stroke Points, 15

local points = 100 * sliderVal2
local seed = 1000 * sliderVal1

math.randomseed(seed)
paint_open(seed)
paint_select_brush("Art Tools - Pens", "Leaky Pen", 0)

for i1 = 0, 25 do
  paint_brush_size(math.random(15, 50))
  paint_brush_color(math.random(0, 255) / 255.0, math.random(0, 255) / 255.0, math.random(0, 255) / 255.0)
  paint_stroke_start(math.random(0, width), math.random(0, height))
  for i2 = 0, points do
    paint_stroke_pos(math.random(0, width), math.random(0, height), math.random(10, 50))
  end
  paint_stroke_stop()
end

paint_close()

